summaryrefslogtreecommitdiffstats
path: root/games/vbam
diff options
context:
space:
mode:
author JK Wood <joshuakwood@gmail.com>2010-05-12 23:29:37 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:29:37 +0200
commit976e74860f813170a6159176c17afe2730438bbc (patch)
treea7a54cb438529331f85e00fe37985a05f67b5004 /games/vbam
parentb9e67ddcfedcc974eb0f2392018373f345f6f321 (diff)
downloadslackbuilds-976e74860f813170a6159176c17afe2730438bbc.tar.gz
slackbuilds-976e74860f813170a6159176c17afe2730438bbc.tar.xz
games/vbam: Added to 12.2 repository
Diffstat (limited to 'games/vbam')
-rw-r--r--games/vbam/README9
-rw-r--r--games/vbam/doinst.sh15
-rw-r--r--games/vbam/slack-desc19
-rw-r--r--games/vbam/vbam.SlackBuild80
-rw-r--r--games/vbam/vbam.info8
5 files changed, 131 insertions, 0 deletions
diff --git a/games/vbam/README b/games/vbam/README
new file mode 100644
index 0000000000..6406f74469
--- /dev/null
+++ b/games/vbam/README
@@ -0,0 +1,9 @@
+Our goal is to improve upon VisualBoyAdvance by integrating
+the best features from the various builds floating around.
+Unfortunately work on the "official" project seems to have
+stalled. Independent developers have added excellent
+features to VBA, but seem to have done so individually. The
+source codes for many of these forks seem to be abandoned,
+outdated or missing altogether. We aim to preserve all of
+the hard work done by these developers to make the already
+great VisualBoyAdvance even better!
diff --git a/games/vbam/doinst.sh b/games/vbam/doinst.sh
new file mode 100644
index 0000000000..dd52706baa
--- /dev/null
+++ b/games/vbam/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/vbam.cfg.new
+
diff --git a/games/vbam/slack-desc b/games/vbam/slack-desc
new file mode 100644
index 0000000000..9fa5a95a1e
--- /dev/null
+++ b/games/vbam/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+vbam: vbam (cross-platform GameBoy emulator)
+vbam:
+vbam: vbam is a project dedicated to gathering community patches to the
+vbam: VisualBoyAdvance GameBoy emulator into one easily accessible project.
+vbam:
+vbam: Homepage: http://vba-m.ngemu.com
+vbam:
+vbam:
+vbam:
+vbam:
+vbam:
diff --git a/games/vbam/vbam.SlackBuild b/games/vbam/vbam.SlackBuild
new file mode 100644
index 0000000000..477b9bb9fe
--- /dev/null
+++ b/games/vbam/vbam.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+# Slackbuild for vbam
+# Written by JK Wood <joshuakwood@gmail.com>
+
+# Slackbuild is released under the Dog-on-Fire License:
+# If use of this script causes your dog to catch on fire,
+# you agree to send me five dollars. Or a picture
+# of the dog on fire.
+# Otherwise, you're on your own. I've tested the script
+# on my own computer, and it hasn't broken anything.
+# So if it does it on your computer, that falls in
+# the realm of "Not my problem."
+#
+# Of course, if you'll send a bug report to the above
+# email address, I may be able to see what you did
+# wrong and prevent it from happening in the future.
+# In which case, I may just send YOU five dollars.
+#
+# Modified by the SlackBuilds.org project.
+
+PRGNAM=vbam
+VERSION=r856
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cmake . \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX="/usr" \
+ -DNO_GTK=1 \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/etc/vbam.cfg $PKG/etc/vbam.cfg.new
+
+mkdir -p $PKG/usr/man
+gzip -9c debian/vbam.1 > $PKG/usr/man/vbam.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/License.txt doc/ReadMe.SDL.txt doc/gpl.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/vbam/vbam.info b/games/vbam/vbam.info
new file mode 100644
index 0000000000..f4e6c4758d
--- /dev/null
+++ b/games/vbam/vbam.info
@@ -0,0 +1,8 @@
+PRGNAM="vbam"
+VERSION="r856"
+HOMEPAGE="http://vba-m.ngemu.com/"
+DOWNLOAD="http://slaxer.com/sources/vbam-r856.tar.bz2"
+MD5SUM="974acd6ff8a0b47dea232aa97b003dbe"
+MAINTAINER="JK Wood"
+EMAIL="joshuakwood@gmail.com"
+APPROVED="dsomero"